Skip to main content
POST
/
v1
/
webhooks
/
{id}
/
test
curl --request POST \
  --url https://api.anchorbrowser.io/v1/webhooks/{id}/test \
  --header 'Content-Type: application/json' \
  --header 'anchor-api-key: <api-key>' \
  --data '
{
  "event_type": "task.completed"
}
'
{
  "external_event_id": "evt_56a4c6e7f11e4b44eafce28a"
}

Authorizations

anchor-api-key
string
header
required

API key passed in the header

Path Parameters

id
string
required

Webhook id.

Body

application/json
event_type
enum<string>
required

Catalog of webhook event types Anchor can deliver. Adding a new event type is a coordinated change between session-manager (publisher), webhook-dispatcher (consumer), and the dashboard.

Available options:
task.completed,
task.failed,
task.cancelled,
task.healed,
session.completed,
session.failed,
session.recording.ready,
batch.completed,
batch.failed,
intervention.requested,
intervention.resolved,
identity.authenticated,
identity.authentication_failed

Response

Synthetic event accepted and enqueued for delivery.

external_event_id
string
required

The synthetic event id that will appear on the receiver as id in the envelope.

Example:

"evt_56a4c6e7f11e4b44eafce28a"

event_type
enum<string>
required

Catalog of webhook event types Anchor can deliver. Adding a new event type is a coordinated change between session-manager (publisher), webhook-dispatcher (consumer), and the dashboard.

Available options:
task.completed,
task.failed,
task.cancelled,
task.healed,
session.completed,
session.failed,
session.recording.ready,
batch.completed,
batch.failed,
intervention.requested,
intervention.resolved,
identity.authenticated,
identity.authentication_failed